#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc

Summary:	Shared code for mate-panel, mate-session, mate-file-manager, etc.
Summary(pl.UTF-8):	Kod współdzielony przez pakiety mate-panel, mate-session, mate-file-manager itd.
Name:		mate-desktop
Version:	1.18.0
Release:	1
License:	LGPL v2+ with MIT parts (library), GPL v2+ (mate-about)
Group:		X11/Applications
Source0:	http://pub.mate-desktop.org/releases/1.18/%{name}-%{version}.tar.xz
# Source0-md5:	3252cd41ec927805398bc812841215fd
URL:		http://wiki.mate-desktop.org/mate-desktop
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.9
BuildRequires:	dconf-devel >= 0.13.4
BuildRequires:	desktop-file-utils
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gdk-pixbuf2-devel >= 2.4.0
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.36.0
BuildRequires:	gobject-introspection-devel >= 0.9.7
BuildRequires:	gtk+3-devel >= 3.14
BuildRequires:	gtk-doc >= 1.4
BuildRequires:	intltool >= 0.50.1
BuildRequires:	libtool
BuildRequires:	mate-common
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.36
BuildRequires:	startup-notification-devel >= 0.5
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXrandr-devel >= 1.3
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	%{name}-libs = %{version}-%{release}
# for identifying monitors from pnp.ids (libmate-desktop/display-name.c)
Requires:	hwdata >= 0.243-6
Requires:	xdg-user-dirs-gtk >= 0.10-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The mate-desktop package contains an internal library (libmatedesktop)
used to implement some portions of the MATE desktop, and also some
data files and other shared components of the MATE user environment.

%description -l pl.UTF-8
Pakiet mate-desktop zawiera bibliotekę wewnętrzną (libmatedesktop)
służącą do implementacji niektórych elementów środowiska MATE, trochę
plików z danymi oraz inne współdzielone komponenty środowiska
użytkownika MATE.

%package libs
Summary:	Shared libmate-desktop library
Summary(pl.UTF-8):	Biblioteka współdzielona libmate-desktop
License:	LGPL v2+
Group:		Libraries
Requires:	dconf >= 0.13.4
Requires:	gdk-pixbuf2 >= 2.4.0
Requires:	glib2 >= 1:2.36.0
Requires:	gtk+3 >= 3.14
Requires:	startup-notification >= 0.5
Requires:	xorg-lib-libXrandr >= 1.3

%description libs
Shared libmate-desktop library.

%description libs -l pl.UTF-8
Biblioteka współdzielona libmate-desktop.

%package devel
Summary:	Header files for libmate-desktop
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libmate-desktop
License:	LGPL v2+
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	dconf-devel >= 0.13.4
Requires:	gdk-pixbuf2-devel >= 2.4.0
Requires:	glib2-devel >= 1:2.36.0
Requires:	gtk+3-devel >= 3.14
Requires:	startup-notification-devel >= 0.5

%description devel
Header files for the MATE-internal private library libmate-desktop.

%description devel -l pl.UTF-8
Pliki nagłówkowe prywatnej biblioteki wewnętrznej MATE
libmate-desktop.

%package apidocs
Summary:	mate-desktop API documentation
Summary(pl.UTF-8):	Dokumentacja API mate-desktop
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
mate-desktop API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API mate-desktop.

%prep
%setup -q

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_apidocs:--enable-gtk-doc --with-html-dir=%{_gtkdocdir}} \
	--disable-schemas-compile \
	--disable-silent-rules \
	--disable-static \
	--enable-unique \
	--with-pnp-ids-path=/lib/hwdata/pnp.ids

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libmate-desktop-2.la

desktop-file-install \
	--remove-category="MATE" \
	--add-category="X-Mate" \
	--delete-original \
	--dir=$RPM_BUILD_ROOT%{_desktopdir} \
	$RPM_BUILD_ROOT%{_desktopdir}/mate-about.desktop

# frp,jv,ku_IQ not supported yet by glibc
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{frp,jv,ku_IQ}

%find_lang %{name} --with-mate

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/mate-about
%attr(755,root,root) %{_bindir}/mate-color-select
%{_mandir}/man1/mate-about.1*
%{_mandir}/man1/mate-color-select.1*
%{_desktopdir}/mate-about.desktop
%{_desktopdir}/mate-color-select.desktop
%{_iconsdir}/hicolor/*/apps/mate.png
%{_iconsdir}/hicolor/scalable/apps/mate-symbolic.svg
%{_iconsdir}/hicolor/scalable/apps/mate.svg
%{_datadir}/mate-about
%{_datadir}/glib-2.0/schemas/org.mate.*.gschema.xml

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmate-desktop-2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmate-desktop-2.so.17
%{_libdir}/girepository-1.0/MateDesktop-2.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmate-desktop-2.so
%{_includedir}/mate-desktop-2.0
%{_datadir}/gir-1.0/MateDesktop-2.0.gir
%{_pkgconfigdir}/mate-desktop-2.0.pc

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/mate-desktop
%endif
%changelog
* Sat Mar 18 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-desktop.git;a=log;h=master

* Wed Mar 15 2017 Jan Palus <atler@pld-linux.org> 9191b33
- up to 1.18.0

* Thu Oct 20 2016 Elan Ruusamäe <glen@delfi.ee> 942b01c
- 1.16.1

* Thu Sep 22 2016 Jan Palus <atler@pld-linux.org> 199dbfc
- up to 1.16.0

* Sat Jul 16 2016 Jakub Bogusz <qboosh@pld-linux.org> 53aee77
- locales cleanup

* Sun May 22 2016 Jan Palus <atler@pld-linux.org> dc3bd2d
- up to 1.14.1

* Sat Apr 09 2016 Jan Palus <atler@pld-linux.org> 5296f63
- up to 1.14.0

* Mon Nov 30 2015 Jan Palus <atler@pld-linux.org> 9bc2eb0
- drop unsupported locale jv

* Mon Nov 30 2015 Jan Palus <atler@pld-linux.org> 146eda8
- up to 1.12.1

* Fri Nov 06 2015 Jakub Bogusz <qboosh@pld-linux.org> 397d951
- locale cleanup, updated install time dependencies

* Thu Nov 05 2015 Jan Palus <atler@pld-linux.org> 0ddb748
- up to 1.12.0

* Wed Aug 26 2015 Jan Rękorajski <baggins@pld-linux.org> 6901eda
- remove non-existing locale
- rel 2

* Tue Aug 25 2015 Elan Ruusamäe <glen@delfi.ee> 03ce39f
- mate-desktop 1.10.2

* Sun Jul 12 2015 Jan Palus <atler@pld-linux.org> 7bb8941
- up to 1.10.1

* Tue Apr 21 2015 Jakub Bogusz <qboosh@pld-linux.org> 5a969d1
- updated to 1.10.0 (1.8.x left on MATE-1.8 branch)

* Sun Mar 29 2015 Jan Palus <atler@pld-linux.org> 0d59b04
- up to 1.8.2

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> a106601
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> d2e139a
- updated gettext BR

* Sat Jul 05 2014 Jakub Bogusz <qboosh@pld-linux.org> acb3ce9
- added autoconf version, BR: pkgconfig

* Mon Jun 30 2014 Jakub Bogusz <qboosh@pld-linux.org> 93ef31b
- typo

* Tue May 06 2014 Jan Palus <atler@pld-linux.org> b218440
- up to 1.8.1

